<?php defined('ABSPATH') or die("No script kiddies please!"); ?>
<?php

$allowedposttags = array(
    'a' => array(
        'href' => array(),
        'title' => array()),
    'br' => array(),
    'p' => array(
        'style' => array()),
    'hr' => array(),
    'abbr' => array(
        'title' => array()),
    'b' => array(),
    'ul' => array(),
    'li' => array(),
    'ol' => array(),
    'h1' => array(
        'style' => array()),
    'h2' => array(
        'style' => array()),
    'h3' => array(
        'style' => array()),
    'h4' => array(
        'style' => array()),
    'h5' => array(
        'style' => array()),
    'h6' => array(
        'style' => array()),
    'span' => array(
        'style' => array()),
    'blockquote' => array(
        'cite' => array()),
    'cite' => array(),
    'code' => array(),
    'del' => array(
        'datetime' => array()),
    'em' => array(),
    'i' => array(),
    'q' => array(
        'cite' => array()),
    'strike' => array(),
    'strong' => array(),
);

$erp_review_template_name = $_POST['erp_sub_form_title'];
$_POST = array_map('stripslashes_deep', $_POST);
global $wpdb;

/**
 * get the popup id if the action is edit
 */
$erp_id = (isset($_POST['er_id'])) ? $_POST['er_id'] : '';

/**
 * check id the form submission for popup default value setting for settingspage
 */
$table_name = $wpdb->prefix . "everest_review_form_table";

/**
 * check id the form submission for add/edit popup details for add/edit page
 */
if (isset($_POST['erp_form_template_save_settings'])) {
    foreach ($_POST as $key => $val) {
        if ($key != 'id') {
            $$key = $val;
        }
    }
}

//Pushing all values into array for saving 
foreach ($_POST as $key => $val) {
    if ($key == 'erp_review_form_setting' || $key == 'erp_review_form_structure' || $key == 'erp_review_form_order' || $key == 'erp_review_form_setting_parameter' || $key == 'erp_review_form_admin_alert_email_structure') {
        $$key = $val;
    } else {
        $$key = sanitize_text_field($val);
    }
}

/** Sanitizing each form fields for popup field added */
$erp_review_form_structure_temp = array();
if (!empty($erp_review_form_structure)) {
    foreach ($erp_review_form_structure as $key => $val) {
        $erp_review_form_structure_temp[$key] = array();
        foreach ($val as $k => $v) {
            if (!is_array($v)) {
                $erp_review_form_structure_temp[$key][$k] = sanitize_text_field($v);
            } else {
                $erp_review_form_structure_temp[$key][$k] = array_map('sanitize_text_field', $v);
            }
        }
    }
}
$reviewer_template_structure = $erp_review_form_structure_temp;

$erp_review_form_order_temp = array();
if (!empty($erp_review_form_order)) {
    foreach ($erp_review_form_order as $key => $val) {
        $erp_review_form_order_temp[$key] = array();
        foreach ($val as $k => $v) {
            if (!is_array($v)) {
                $erp_review_form_order_temp[$key][$k] = sanitize_text_field($v);
            } else {
                $erp_review_form_order_temp[$key][$k] = array_map('sanitize_text_field', $v);
            }
        }
    }
}
$erp_review_form_order_setting = $erp_review_form_order_temp;

$erp_review_form_setting_temp = array();
if (!empty($erp_review_form_setting)) {
    foreach ($erp_review_form_setting as $key => $val) {
        $erp_review_form_setting_temp[$key] = array();
        if (is_array($val)) {
            foreach ($val as $k => $v) {
                $erp_review_form_setting_temp[$key][$k] = sanitize_text_field($v);
            }
        } else {
            $erp_review_form_setting_temp[$key] = sanitize_text_field($val);
        }
    }
}
$erp_review_form_setting = $erp_review_form_setting_temp;

$submission_form_admin_email_settings_array = array();
if (isset($erp_review_form_admin_alert_email_structure) && !empty($erp_review_form_admin_alert_email_structure)) {
    foreach ($erp_review_form_admin_alert_email_structure as $key => $val) {
        $submission_form_admin_email_settings_array[$key] = wp_kses($val, $allowedposttags);
    }
}
$erp_review_form_setting_parameter_temp = array();
if (!empty($erp_review_form_setting_parameter)) {
    foreach ($erp_review_form_setting_parameter as $key => $val) {
        $erp_review_form_setting_parameter_temp[$key] = array();
        if (is_array($val)) {
            foreach ($val as $k => $v) {
                $erp_review_form_setting_parameter_temp[$key][$k] = sanitize_text_field($v);
            }
        } else {
            $erp_review_form_setting_parameter_temp[$key] = sanitize_text_field($val);
        }
    }
}
$erp_review_form_setting_parameter_value = $erp_review_form_setting_parameter_temp;

/**
 * update the review form template details
 */
if ($erp_id != '') {
    $update = $wpdb->update(
            $table_name, array(
        'review_template_name' => $erp_review_template_name,
        'reviewer_template_structure' => maybe_serialize($reviewer_template_structure),
        'reviewer_template_settings' => maybe_serialize($erp_review_form_setting),
        'reviewer_field_order' => maybe_serialize($erp_review_form_order_setting),
        'review_form_setting_parameter' => maybe_serialize($erp_review_form_setting_parameter_value),
        'review_form_email_formats' => maybe_serialize($submission_form_admin_email_settings_array),
            ), array(
        'id' => $erp_id
            )
    );

    if ($update) {//if update success
        wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-form&action=edit&er-id=' . $erp_id . '&message=3');
    } else {
        wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-form&action=edit&er-id=' . $erp_id . '&message=4');
    }
} else {
    /**
     * insert the review form template  details
     */
    $insert = $wpdb->insert(
            $table_name, array(
        'review_template_name' => $erp_review_template_name,
        'reviewer_template_structure' => maybe_serialize($reviewer_template_structure),
        'reviewer_template_settings' => maybe_serialize($erp_review_form_setting),
        'reviewer_field_order' => maybe_serialize($erp_review_form_order_setting),
        'review_form_setting_parameter' => maybe_serialize($erp_review_form_setting_parameter_value),
            )
    );

    if ($insert) { //if insert success
        $erpid = $wpdb->insert_id;
        wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-form&action=edit&er-id=' . $erpid . '&message=1');
    } else {
        wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-form&action=edit&er-id=' . $erpid . '&message=2');
    }
}
// end