<?php defined('ABSPATH') or die("No direct script allowed!!!"); ?>
<?php
$post_id = intval($post->ID);
$user_review_form_details = get_post_meta($post_id, 'user_review_form_details', true);
?>
<div class="erp-default-setting-field-wrapper" id='er-basic-layout-setting'>
    <div class="erp-setting-tab-wrapper">
        <div class="nav-tab-wrapper">                             
            <a href="javascript:void(0)" id="erp-user-form-setting-general" class="erp-setting-tabs-trigger nav-tab erp-active-tab"><?php _e('General', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
            <a href="javascript:void(0)" id="erp-user-form-setting-design" class="erp-setting-tabs-trigger nav-tab"><?php _e('Design', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
        </div>
    </div>
    <div class="erp-setting-tab-content" id="content-erp-user-form-setting-general">
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php echo __('Default Review Form Header', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">
                <input type="text" name="user_review_form_details[erp_user_default_review_header]" value="<?php
                if (isset($user_review_form_details['erp_user_default_review_header']) && !empty($user_review_form_details['erp_user_default_review_header'])) {
                    echo esc_attr($user_review_form_details['erp_user_default_review_header']);
                }
                ?>"/>
            </div>
        </div>
    </div>
    <div class="erp-setting-tab-content" id="content-erp-user-form-setting-design" style="display:none;">
        <div class="basic-user-review-field-design-wrap">
            <div class="erp-input-field-wrap" id="erp-user_review-review-color">
                <div class="erp-input-field-title">
                    <label>
                        <?php echo __('Color', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                    </label>
                </div>
                <div class="erp-input-field">
                    <input type="text" class="erp-basic-color-call" name="user_review_form_details[erp_user_review_title_color]" value="<?php
                    if (isset($user_review_form_details['erp_user_review_title_color']) && !empty($user_review_form_details['erp_user_review_title_color'])) {
                        echo esc_attr($user_review_form_details['erp_user_review_title_color']);
                    }
                    ?>">
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-user_review-review-border-color">
                <div class="erp-input-field-title">
                    <label>
                        <?php echo __('Button Background Color', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                    </label>
                </div>
                <div class="erp-input-field">
                    <input type="text" class="erp-basic-color-call" name="user_review_form_details[erp_user_review_button_bg_color]" value="<?php
                    if (isset($user_review_form_details['erp_user_review_button_bg_color']) && !empty($user_review_form_details['erp_user_review_button_bg_color'])) {
                        echo esc_attr($user_review_form_details['erp_user_review_button_bg_color']);
                    }
                    ?>">
                </div>
            </div>
        </div>
    </div>
</div>
