<?php

if (isset($_POST['general_review_settings'])) {
    $general_review_settings = (array) $_POST['general_review_settings'];
    // sanitize array
    $general_review_setting_option = array_map('sanitize_text_field', $general_review_settings);
    // save data
    update_post_meta($post_id, 'general_review_settings', $general_review_setting_option);
}
if (isset($_POST['general_review_settings_parameter'])) {
    $general_review_settings_parameter_list = (array) $_POST['general_review_settings_parameter'];
    $general_review_settings_parameter_temp = array();
    foreach ($general_review_settings_parameter_list as $key => $val) {
        $general_review_settings_parameter_temp[$key] = array();
        foreach ($val as $k => $v) {
            if (!is_array($v)) {
                $general_review_settings_parameter_temp[$key][$k] = sanitize_text_field($v);
            } else {
                $general_review_settings_parameter_temp[$key][$k] = array_map('sanitize_text_field', $v);
            }
        }
    }
    $general_review_settings_parameter_array = $general_review_settings_parameter_temp;
    update_post_meta($post_id, 'general_review_settings_parameter', $general_review_settings_parameter_array);
}

if (isset($_POST['admin_review_details'])) {
    $admin_review_settings = (array) $_POST['admin_review_details'];
    // sanitize array
    $admin_review_setting_option = array_map('sanitize_text_field', $admin_review_settings);
    // save data
    update_post_meta($post_id, 'admin_review_details', $admin_review_setting_option);
}
if (isset($_POST['user_review_details'])) {
    $user_review_settings = (array) $_POST['user_review_details'];
    // sanitize array
    $user_review_setting_option = array_map('sanitize_text_field', $user_review_settings);
    // save data
    update_post_meta($post_id, 'user_review_details', $user_review_setting_option);
}

if (isset($_POST['user_review_form_details'])) {
    $user_review_form_settings = (array) $_POST['user_review_form_details'];
    // sanitize array
    $user_review_form_setting_option = array_map('sanitize_text_field', $user_review_form_settings);
    // save data
    update_post_meta($post_id, 'user_review_form_details', $user_review_form_setting_option);
}
